<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layoutadmin}">
<head>
    <meta charset="UTF-8">
    <title>Program Studi</title>
</head>
<body>
<div layout:fragment="main">
    <div class="header bg-gradient-primary pb-8 pt-5 pt-md-8">
        <div class="container-fluid">
            <div class="header-body">
                <!-- Card stats -->
                <div class="row">
                    <div class="col-xl-12 col-lg-12">
                        <div class="card card-stats mb-4 mb-xl-0">
                            <div class="card-body">
                                <div class="row">
                                    <div class="col">
                                        <h5 class="card-title text-uppercase text-muted mb-0">Form</h5>
                                        <span class="h2 font-weight-bold mb-0">Program Studi </span>
                                    </div>
                                    <div class="col-auto">
                                        <div class="icon icon-shape bg-gradient-blue text-white rounded-circle shadow">
                                            <i class="fas fa-calendar"></i>
                                        </div>
                                    </div>
                                </div>

                            </div>
                        </div>
                    </div>

                </div>
            </div>
        </div>
    </div>

    <div class="container-fluid mt--7">
        <div class="row">
            <div class="col-md-6 col-xs-12">
                <div class="card shadow">
                    <div class="card-header border-0">
                        <h3 class="mb-0">Form</h3>
                    </div>
                    <div class="card-body">
                        <form method="post" th:action="@{/setting/prody/form}" th:object="${programStudy}">

                            <div class="form-group">
                                <label>Kode Prodi</label>
                                <input type="text" class="form-control" th:field="*{kodeProdi}" name="kodeProdi" placeholder="Kode Prodi">
                            </div>

                            <div class="form-group">
                                <label>Nama Prodi</label>
                                <input type="text" th:field="*{namaProdi}" class="form-control" placeholder="Nama Prodi" name="namaProdi">
                            </div>

                            <div class="form-group">
                                <label>Nama Prodi Inggris</label>
                                <input type="text" th:field="*{namaProdiEnglish}" class="form-control" placeholder="Nama Prodi Inggris" name="namaProdiEnglish">
                            </div>

                            <div class="form-group">
                                <label>Fakultas</label>
                                <select name="fakultas" style="width:100%!important;" th:field="*{fakultas}" class="form-control js-example-placeholder-single">
                                    <option value=""></option>
                                    <option th:each="data : ${listFakultas}"
                                            th:text="${data.namaFakultas}" th:value="${data.id}">Department ID</option>
                                </select>
                            </div>

                            <div class="form-group">
                                <label>Jenjang</label>
                                <select name="idJenjang" style="width:100%!important;" th:field="*{idJenjang}" class="form-control js-example-placeholder-single">
                                    <option value=""></option>
                                    <option th:each="data : ${jenjang}"
                                            th:text="${data.namaJenjang}" th:value="${data.id}">Department ID</option>
                                </select>
                            </div>

                            <div class="form-group">
                                <label>Nama Jabatan</label>
                                <input type="text" th:field="*{jabatan}" class="form-control" placeholder="Nama Jabatan" name="jabatan">
                            </div>

                            <div class="form-group">
                                <label>Nama Pejabat</label>
                                <select class="form-control js-example-placeholder-single" id="select2-dosen"
                                        style="width: 100%!important;" name="dosen"  th:field="*{dosen}">
                                    <option value=""></option>
                                    <option th:each="data: ${dosen}"
                                            th:text="${data.karyawan.namaKaryawan}"
                                            th:value="${data.id}">sdasd</option>
                                </select>
                            </div>

                            <div class="form-group">
                                <label>Kode PDDIKTI</label>
                                <input type="text" th:field="*{kodePddikti}" class="form-control" placeholder="Kode PDDIKTI" name="kodePddikti">
                            </div>

                            <div class="form-group">
                                <label>No SK BAN - PT</label>
                                <input type="text" th:field="*{noSk}" class="form-control" placeholder="No SK BAN - PT" name="noSk">
                            </div>

                            <div class="form-group">
                                <label>Tanggal SK BAN - PT</label>
                                <input type="date" th:field="*{tanggalSk}" class="form-control" name="tanggalSk">
                            </div>

                            <div class="form-group">
                                <label>Status</label><br>
                                <label>
                                    <input name="status" th:field="*{status}" type="checkbox" value="AKTIF" class="js-switch" />
                                </label>
                                <input type="hidden" name="id" th:field="*{id}">
                                <input type="hidden" name="kodeSpmb" th:field="*{kodeSpmb}">
                                <input type="hidden" name="kodeBiaya" th:field="*{kodeBiaya}">

                            </div>
                            <input class="btn btn-primary" type="submit" value="Simpan">
                            <a th:href="@{/setting/prody/list}" class="btn btn-primary" role="button">
                                <span aria-hidden="true"></span>Batal
                            </a>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
</body>
</html>
<script>
    $(".js-example-placeholder-single").select2({
        placeholder: "Pilih Salah Satu",
        allowClear: true
    });
</script>